Bug 779333 - (SOA-1722) OpenSSOLoginModule cannot be found
OpenSSOLoginModule cannot be found
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB, Security (Show other bugs)
5.0.0 ER5
Unspecified Unspecified
urgent Severity urgent
: ---
: 5.0.0 GA,5.0.0 ER7
Assigned To: Jeff Yu
http://jira.jboss.org/jira/browse/SOA...
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-16 04:04 EST by Martin Vecera
Modified: 2013-07-01 21:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
SOA-P 5 Beta1, production config.
Last Closed: 2010-01-19 04:06:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1722 None None None Never

  None (edit)
Description Martin Vecera 2009-12-16 04:04:19 EST
Date of First Response: 2009-12-18 04:19:24
project_key: SOA

Server is not able to load OpenSSOLoginModule class even though it is in jbossesb.sar/lib/jbosssoa-opensso.jar. 

How to reproduce: 
1) change to samples/quickstarts/opensso 
2) ant deploy 
3) ant runtest 

Server complaints that the needed class which is correctly defined in conf/login-config.xml cannot be loaded: 

09:56:43,453 INFO [SecurityServiceFactory] Using [org.jboss.internal.soa.esb.services.security.JaasSecurityService] as the SecurityService implementation. 
09:56:43,458 ERROR [ActionProcessingPipeline] SecurityService exception : 
org.jboss.soa.esb.services.security.SecurityServiceException: Exception while trying to login: 
        at org.jboss.internal.soa.esb.services.security.JaasSecurityService.authenticate(JaasSecurityService.java:102) 
        at org.jboss.soa.esb.listeners.message.ActionProcessingPipeline.processPipeline(ActionProcessingPipeline.java:532) 
        at org.jboss.soa.esb.listeners.message.ActionProcessingPipeline.process(ActionProcessingPipeline.java:420) 
        at org.jboss.soa.esb.listeners.message.MessageAwareListener$TransactionalRunner.run(MessageAwareListener.java:540) 
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) 
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) 
        at java.lang.Thread.run(Thread.java:619) 
Caused by: javax.security.auth.login.LoginException: unable to find LoginModule class: org.jboss.soa.security.opensso.OpenSSOLoginModule 
        at javax.security.auth.login.LoginContext.invoke(LoginContext.java:808) 
        at javax.security.auth.login.LoginContext.access$000(LoginContext.java:186) 
        at javax.security.auth.login.LoginContext$4.run(LoginContext.java:683) 
        at java.security.AccessController.doPrivileged(Native Method) 
        at javax.security.auth.login.LoginContext.invokePriv(LoginContext.java:680) 
        at javax.security.auth.login.LoginContext.login(LoginContext.java:579) 
        at org.jboss.internal.soa.esb.services.security.JaasSecurityService.authenticate(JaasSecurityService.java:94) 
        ... 6 more
Comment 1 Martin Vecera 2009-12-16 04:04:37 EST
Link: Added: This issue depends JBESB-3066
Comment 2 Jeff Yu 2009-12-18 04:19:24 EST
Hi Martin,

could you move the jbosssoa-opensso.jar and openssoclientsdk.jar from jbossesb.sar/lib to jbossesb.sar. 
It seems that in ESB 4.7, the jars in jbossesb.sar/lib doesn't get into the classpath. 

Could you try that and to see if the example works? I don't have the opensso env at hand. 

If it is the case, I will try to move these two jar's location.

Regards
Jeff
Comment 3 Jeff Yu 2009-12-21 03:22:58 EST
As Kevin suggested, the libs on jbossesb.sar were ported into esb.deployers, so I will move these two jars (jbosssoa-opensso.jar,openssoclientsdk.jar) into the esb.deployer/lib.

I will update this in the soa-p build script.
Comment 4 trev 2009-12-21 05:53:08 EST
added by Ryan,  revision 4580
Comment 5 Martin Vecera 2010-01-19 04:06:28 EST
Verified in ER7.

Note You need to log in before you can comment on or make changes to this bug.